﻿using DistributedGA.Core.Domain;
using DistributedGA.Core.Util;

namespace DistributedGA.Core.Interface {

  public interface IMessageSender {

    void Init(PeerInfo source, int messageCacheCapacity);

    void SendData(PeerInfo destination, ByteArrayWrapper data);

    void Dispose();
  }
}
